> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ITSM User by ID

> Retrieve a single ITSM user by their Leen ID.



## OpenAPI

````yaml get /itsm/users/{user_id}
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - description: Production API (US)
    url: https://api.leen.dev/v1
  - description: Production API (EU)
    url: https://api.eu-c1.leen.dev/v1
  - description: Production API (APAC)
    url: https://api.ap-se2.leen.dev/v1
security: []
paths:
  /itsm/users/{user_id}:
    get:
      tags:
        - ITSM
        - Users
      summary: Get ITSM User by ID
      description: Retrieve a single ITSM user by their Leen ID.
      operationId: get_user_by_id
      parameters:
        - in: path
          name: user_id
          required: true
          schema:
            format: uuid
            title: User Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ITSMUserRespModel'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
      security:
        - API-Key: []
          Connection-ID: []
components:
  schemas:
    ITSMUserRespModel:
      properties:
        email:
          description: Email of the User
          title: Email
          type: string
        id:
          description: Leen's UUID for the User
          format: uuid
          title: Id
          type: string
        name:
          description: Name of the User
          title: Name
          type: string
        status:
          $ref: '#/components/schemas/ITSMUserStatus'
          description: Status of the User
        vendor_attributes:
          $ref: '#/components/schemas/ITSMUserVendorAttributes'
          description: Vendor-specific attributes of the User
      required:
        - id
        - name
        - email
        - status
        - vendor_attributes
      title: ITSM User
      type: object
    ErrorResponse:
      properties:
        code:
          description: Error code
          title: Code
          type: string
        detail:
          description: List of error dictionaries
          items:
            additionalProperties: true
            type: object
          title: Detail
          type: array
        message:
          description: Error message
          title: Message
          type: string
        type:
          description: Type of error
          title: Type
          type: string
      required:
        - type
        - code
        - message
        - detail
      title: ErrorResponse
      type: object
    ITSMUserStatus:
      enum:
        - ACTIVE
        - INACTIVE
        - DELETED
      title: ITSMUserStatus
      type: string
    ITSMUserVendorAttributes:
      properties:
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Creation time of the User in Vendor
          title: Created At
        data:
          anyOf:
            - discriminator:
                mapping:
                  JIRA: '#/components/schemas/JiraUserVendorAttributesData'
                  SERVICENOW_ITSM: '#/components/schemas/ServiceNowUserVendorAttributesData'
                propertyName: vendor
              oneOf:
                - $ref: '#/components/schemas/JiraUserVendorAttributesData'
                - $ref: '#/components/schemas/ServiceNowUserVendorAttributesData'
            - type: 'null'
          description: Vendor-specific data associated with the User
          title: Data
        id:
          description: Vendor's UUID for the User
          title: Id
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Last update time of the User in Vendor
          title: Updated At
        vendor:
          description: Vendor name
          title: Vendor
          type: string
      required:
        - id
        - vendor
        - created_at
        - updated_at
      title: ITSM User Vendor Attributes
      type: object
    JiraUserVendorAttributesData:
      properties:
        accountType:
          anyOf:
            - type: string
            - type: 'null'
          title: Accounttype
        vendor:
          const: JIRA
          default: JIRA
          title: Vendor
          type: string
      title: JiraUserVendorAttributesData
      type: object
    ServiceNowUserVendorAttributesData:
      properties:
        firstName:
          anyOf:
            - type: string
            - type: 'null'
          title: Firstname
        lastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastname
        userName:
          anyOf:
            - type: string
            - type: 'null'
          title: Username
        vendor:
          const: SERVICENOW_ITSM
          default: SERVICENOW_ITSM
          title: Vendor
          type: string
      title: ServiceNowUserVendorAttributesData
      type: object
  securitySchemes:
    API-Key:
      in: header
      name: X-API-KEY
      type: apiKey
    Connection-ID:
      in: header
      name: X-CONNECTION-ID
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.